import { ElementUIComponentForGov } from './component'
import { VNode } from 'vue'

interface ScrollbarSlots {
  /* default slot:  Real rendering DOM */
  default: VNode[]

  [key: string]: VNode[]
}

/** When loading data, and you need a rich experience for visual and interactions for your end users */
export declare class Scrollbar extends ElementUIComponentForGov {
  native: boolean
  noresize: boolean

  wrapStyle: string | object
  wrapClass: string | object
  viewClass: string | object
  viewStyle: string | object

  tag: string

  $slots: ScrollbarSlots
}
